Subject: Re: CCLIB to PK

From: "J.B. WANG" <[email-masked]>
Date: Fri, 13 Apr 90 15:01:00 EDT

This is a reply and comments to questions and comments from a couple of
ccnet subscribers. For at least one person from California I can't reply
directly. For the others, I'd like the net audience hear the answers.

1. For the request of font size round 50x50 and up to 72x72 for
  300 dpi laser (PostScript) laser printing:

        I will provide fonts around 50x50. The current 48x48 (cclib.48) is
        not bad except that symbol set and er4-ji4-ku4, but I will fill those
        gaps. 72x72 will be ok, but might be a little rough (acceptably).

        However, you don't really need such large bitmap font libraries to
        describe good typefaces on a 300dpi laser printer. Besides, it is not
        worth to repeat the work other people have done (especially free ones).
        For instance, there are at least three Chinese->PostScript device
        drivers. One is a modified version of k2ps (Kanji to PS) from JTeX
        which is in turn from atops (ASCII to PS), both available from
        science.utah.edu. The second one is hz2ps from june.cs.washington.
        And the third one, which is also the most powerful and intelligent one,
        is chtex (with -w option) from my ChTeX.tar.Z. By powerful, chtex -w
        can not only do simple Chinese->ps driving, but also formatting,
        scaling and importing other PostScript figures, and it can use 16x16
        for draft quality, 24x24 for standard quality and 48x48 for final
        quality. However, as I pointed out, over using bitmap information
        does harm than good. 12pt output build from 48x48 is often poorer than
        from 24x24, because you are scaling it done and loosing information.
        36x36 will be the best for my font metric, i.e., 725/1000.
        For an Chinese Editor on Sun or other workstation, we just need to
        implement X11 window, NeWS window, DECWindow and SunView support to
        chtext I had, and may be add some mouse support and editing function.
        Ideas in chtext, I think, does match the advance of Chinese text input
        as compared to the most recent TianMa and FeiMa products, although
        AI features can be incorporated further.

2.
   Mr. C.Q. Cheng provided information that some companies in China are selling
   fonts at cheap price, and there are some font size and style availabilities.
   From the samples Yuan Jian showed me, Singapore companies are also selling
   bitmap fonts (but very expensive). My comments are:

   1) It is not a bad idea to obtain some font sets from these resources.
        bitmap fonts can't be copyrighted, so don't be afraid of it. But
        program descriptions of fonts and names of fonts can be copyrighted,
        which is not a problem in our concern. The guys who invented Chinese
        font styles, such as Liu3-Zhong1-Yuan2 and Wei4-Gong1-Quan2, died
        hundreds or even thousands years ago, while copyright only lasts 50
        years.

   2) Those bitmap fonts are normally designed for the convenience of bit-
        packing and other rationals. In designing fonts for a formatter like
        TeX, or a 300dpi output device with certain font sizes (such as 12pt)
        in mind, we often need things like 15x15, 27x27, 39x39, 45x45 and so
        on, instead of 12x12, 16x16, 20x20, 24x24, 32x32, etc.. Therefore,
        it is still important to have an algorithm to generate these fonts
        from the available font library of the closest size.

3. We might need to think of Fan2-Ti3-Zi4 library seriously. There is a
        significant lack of it in the network. If some body can provide
        a few basic font sets, we can work out the others.

P.S.: WEB2C is not a general Pascal to C translator, but it does translate
        Pascal programs to C. It is available for ftp from sites like
        june.cs.washington.edu, labrea.washington.edu and many other places
        related to TeX distribution. It was designed to translate Pascal
        programs in TeX distribution to C. Turbo Pascal has many extended
        features that might not be understood by WEB2C, but at least, WEB2C
        might be able to do a big part of the translation and leaving little
        to be done by hand.

Sincerely yours,

JB Wang